#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Windows;
using System.Windows.Input;
using System.Net;
using System.IO;
using Syncfusion.Windows.Reports.Viewer;
using System.Collections.Generic;
using Syncfusion.Windows.Reports;
using System.Windows.Controls;

namespace Syncfusion.Samples.ViewModel
{

    public class ReportViewModel 
    {
        public ReportModel Report { get; set; }
           
        #region Constructor
       
        public ReportViewModel()
        {
            this.Report = new ReportModel();
            this.Report.ReportPath = @"../../ReportTemplate/ParameterDemo.rdl";
        }

        public Window mainWindow = new Window();
        public Syncfusion.Windows.Reports.Viewer.ReportViewer viewer = new Syncfusion.Windows.Reports.Viewer.ReportViewer();
        public List<ReportParameter> parameters = new List<ReportParameter>();
        public ReportParameter param = new ReportParameter();
        public Expander expand = new Expander();
        public TextBox textbox = new TextBox();
        public void Loaded(object sender, RoutedEventArgs e)
        {
            mainWindow = sender as Window;   
            viewer = mainWindow.FindName("viewer") as Syncfusion.Windows.Reports.Viewer.ReportViewer;
            Button btn = mainWindow.FindName("btn1") as Button;
            expand = mainWindow.FindName("expand") as Expander;
            textbox = mainWindow.FindName("textBox") as TextBox;
            expand.IsExpanded = true;
            textbox.Text = "1";
            btn.Click += Btn_Click;
            param.Labels.Add("ProductID");
            param.Values.Add("1");
            param.Name = "ProductID";
            parameters.Add(param);
            viewer.SetParameters(parameters);
            viewer.RefreshReport();
        }

        private void Btn_Click(object sender, RoutedEventArgs e)
        {
            TextBox txt1 = mainWindow.FindName("box1") as TextBox;
            parameters.Clear();
            param.Values.Clear();
            param.Name = "ProductID";
            param.Values.Add(txt1.Text);
            parameters.Add(param);
            textbox.Visibility = Visibility.Hidden;
            textbox.Text = txt1.Text;
            viewer.SetParameters(parameters);
            viewer.RefreshReport();
            textbox.Visibility = Visibility.Visible;
            expand.IsExpanded = false;
        }
        #endregion
    }
}
